<template>
  <div id="app">
    <Header/>
    <router-view/>
    <Footer/>
  </div>
</template>

<script>
import Header from '@/components/Header.vue';
import Footer from '@/components/Footer.vue';

import { mapState, mapActions } from 'vuex';

export default {
  components : {
    Header,
    Footer
  },

  computed: {
    ...mapState('user-login', ['isUserAuthenticated'])
  },

  created() {
    this.GET_USER_AUTHENTICATION();
  },

  methods: {
    ...mapActions('user-login', ['GET_USER_AUTHENTICATION'])
  }
}
</script>
